# Bitcoin ABC 0.31.5 Release Notes

Bitcoin ABC version 0.31.5 is now available from:

  <https://download.bitcoinabc.org/0.31.5/>

RPC
---

`loadtxoutset` has been added, which allows loading a UTXO snapshot of the format
generated by `dumptxoutset`. Once this snapshot is loaded, its contents will be
deserialized into a second chainstate data structure, which is then used to sync to
the network's tip under a security model very much like `assumevalid`.

Meanwhile, the original chainstate will complete the initial block download process in
the background, eventually validating up to the block that the snapshot is based upon.

The result is a usable bitcoind instance that is current with the network tip in a
matter of minutes rather than hours.

You can find more information on this process in the `assumeutxo` [design
document](https://github.com/Bitcoin-ABC/bitcoin-abc/blob/master/doc/design/assumeutxo.md).

`getchainstates` has been added to aid in monitoring the assumeutxo sync process.

Pruning
-------

When using assumeutxo with `-prune`, the prune budget may be exceeded if it is set
lower than 1100MB (i.e. `MIN_DISK_SPACE_FOR_BLOCK_FILES * 2`). Prune budget is normally
split evenly across each chainstate, unless the resulting prune budget per chainstate
is beneath `MIN_DISK_SPACE_FOR_BLOCK_FILES` in which case that value will be used.

Chronik
-------

The Chronik indexer is incompatible with `loadtxoutset`.

The `loadtxoutset` RPC command will fail if Chronik is enabled. To load a UTXO snapshot,
restart the node with Chronik disabled and try again.

Restarting a node with the `-chronik` init flag when an assumeutxo IBD chainstate is
present in the data directory will fail. In this case, restart the node with Chronik
disabled and let the assumeutxo background sync complete before restarting the node with
Chronik enabled.

Windows Support
---------------

Starting with this version, running Bitcoin ABC is only supported on Windows 10 or later.
